
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- kaffe/configure.ac~fix-compile.patch
+++ kaffe/configure.ac
@@ -824,15 +824,7 @@
 dnl =========================================================================
 dnl Checks for alignments
 dnl -------------------------------------------------------------------------
-
-AC_CACHE_CHECK(alignment of void*, ac_cv_alignmentof_voidp,
-AC_RUN_IFELSE([AC_LANG_SOURCE([[#include <stdio.h>
-main() { struct { char c; void *p; } t; FILE *f;
-  if ((char*) &t.c != (char*) &t)  exit (1);
-  f=fopen ("conftestdata", "w");
-  if (! f)                         exit (1);
-  fprintf (f, "%d", ((char*) &t.p)-((char*) &t));
-  fclose(f); exit (0); }]])],[ac_cv_alignmentof_voidp=`cat conftestdata`],[AC_MSG_ERROR(Unexpected result)],[ac_cv_alignmentof_voidp=$ac_cv_sizeof_voidp]))
+ac_cv_alignmentof_voidp=4
 AC_DEFINE_UNQUOTED(ALIGNMENTOF_VOIDP,$ac_cv_alignmentof_voidp, [How are pointers aligned])
 
 dnl -------------------------------------------------------------------------
--- kaffe/config/arm/jit-arm.def~fix-compile.patch
+++ kaffe/config/arm/jit-arm.def
@@ -655,7 +655,7 @@
 
 define_insn(epilogue, epilogue_xxx)
 {
-	setEpilogueLabel ((uintp)CODEPC);
+	KaffeJIT_setEpilogueLabel ((uintp)CODEPC);
 
 	/* Should restore floating point state here !!! F4-F7 */
 
--- kaffe/config/arm/jit3-arm.def~fix-compile.patch
+++ kaffe/config/arm/jit3-arm.def
@@ -684,7 +684,7 @@
 
 define_insn(epilogue, epilogue_xxx)
 {
-	setEpilogueLabel ((uintp)CODEPC);
+	KaffeJIT3_setEpilogueLabel ((uintp)CODEPC);
 
 	/* Should restore floating point state here !!! F4-F7 */
 
